<?php
// +---------------------------------------------+
// |     Copyright 2003 -2005 weenCompany        |
// |     http://www.weentech.com                 |
// |     This file may not be redistributed.     |
// +---------------------------------------------+

if(!defined('TABLE_PREFIX'))
  define('TABLE_PREFIX', "");

if(!defined('IN_WEENCOMPANY'))
  die("File not found!");



// ############################# MODULE INFORMATION ############################

$uniqueid       = 31;
$modulename     = '二級菜單';
$version        = '2.0';
$modulepath     = 'm31_submenu/m31_submenu.php';
$settingspath   = 'm31_submenu/m31_settings.php';
$authorname     = 'weencompany';
$authorlink     = 1;
$modulesettings = '17';



// ############################## INSTALL MODULE ###############################

if($installtype == 'install')
{
  // install module settings
  $DB->query("INSERT INTO " . TABLE_PREFIX . "modulesettings VALUES (NULL, $uniqueid, '模塊設置', '分隔符', '二級菜單間的分隔符號:<br/>提示: 二級菜單模塊僅顯示當前菜單中的二級菜單.', 'text', '<br />', 1) ");
  $DB->query("INSERT INTO " . TABLE_PREFIX . "modulesettings VALUES (NULL, $uniqueid, '模塊設置', '菜單樣式',    '是否使用以下自定義CSS樣式?<br/>選擇\'否\', 則使用網站模板CSS文件中設置的樣式.' , 'yesno', '0', 2) ");
  $DB->query("INSERT INTO " . TABLE_PREFIX . "modulesettings VALUES (NULL, $uniqueid, '模塊設置', '基本樣式',    '二級菜單鏈接的CSS樣式(a: link):\r\n<br />如: <i>font: 11px verdana; color: #6E8195;</i>', 'text', 'font: 12px verdana; color: #6E8195;', 3) ");
  $DB->query("INSERT INTO " . TABLE_PREFIX . "modulesettings VALUES (NULL, $uniqueid, '模塊設置', '活動時樣式',     '當前二級菜單的CSS樣式(a: active):', 'text', 'font: 11px verdana; color: #6E8195;', 4) ");
  $DB->query("INSERT INTO " . TABLE_PREFIX . "modulesettings VALUES (NULL, $uniqueid, '模塊設置', '訪問後樣式',    '二級菜單訪問後的CSS樣式(a: visited):', 'text', 'font: 11px verdana; color: #6E8195;', 5) ");
  $DB->query("INSERT INTO " . TABLE_PREFIX . "modulesettings VALUES (NULL, $uniqueid, '模塊設置', '翻轉時樣式',      '二級菜單翻轉時的CSS樣式(a: hover):', 'text', 'font: 11px verdana; color: #6E8195;', 6) ");
}



// ############################## UPGRADE MODULE ###############################

if($installtype == 'upgrade')
{
  // upgrade to 2.0
  if($currentversion == '2.0')
  {
    // UpdateModuleVersion(31, 2.0);
    // $currentversion = 2.0;
  }
}



// ############################# UNINSTALL MODULE ##############################

if($installtype == 'uninstall')
{
  // no tables to uninstall
}

?>
